<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('', function () {
    return view('pages.accounts.authentication.login');
})->name('login');

Route::get('account/password/reset/{token}', function ($token){
    return view('pages.accounts.authentication.reset_password',['token' => $token]);
})->name('account.password.reset');

Route::get('/accounts', function () {
    return view('pages.accounts.dashboard');
})->name('account.dashboard');

Route::get('/company/{id}/importer/dashboard', function ($id) {
    return view('pages.dashboards.importer_profile', ['id' => (int) $id]);
})->name('dashboard.importer');

Route::get('/company/forwarder/dashboard', function () {
    return view('pages.dashboards.forwarder_profile');
})->name('dashboard.forwarder');
